com.informix.jdbc

## Class IfxColumnInfo

- java.lang.Object
- - com.informix.jdbc.IfxColumnInfo

    public class IfxColumnInfo
    extends java.lang.Object

Note: We may put this class in ResultSetMetaData class as nested class in the future. That is the only place use this class. This is a class object contains all information about a column. It is mainly for ResultSetMetaData class. All instant variables are declared as public. It is easy access from ResultSetMetaData class.

### Field Summary

Fields
`protected int` `ifxRealType`
`protected java.lang.String` `ifxTypeClassName`

### Method Summary

Methods
`java.lang.Object` `clone()`
`void` `copy(IfxColumnInfo colInfo)`
`void` `dumpInfo(Trace trace, int indent)`
`protected int` `getAdjustedColumnLength()`
`protected boolean` `isSearchable()`
`protected boolean` `isSigned()`
`protected boolean` `isVariableLengthType(IfxSqliConnect conn)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ifxTypeClassName

    protected java.lang.String ifxTypeClassName

#### ifxRealType

    protected int ifxRealType

### Method Detail

#### clone

    public java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`

#### copy

    public void copy(IfxColumnInfo colInfo)

#### dumpInfo

    public void dumpInfo(Trace trace,
                int indent)

#### getAdjustedColumnLength

    protected int getAdjustedColumnLength()

#### isVariableLengthType

    protected boolean isVariableLengthType(IfxSqliConnect conn)

#### isSigned

    protected boolean isSigned()

#### isSearchable

    protected boolean isSearchable()